Name:		giada
Version:	1.2.0
Release:	%mkrel 1
Summary:	Sampler Audio Tool
License:	GPLv3+
Group:		Sound/Utilities
URL:		https://giadamusic.com
Source0:	https://github.com/monocasual/giada/releases/download/%{version}/%{version}/%{name}-%{version}-src.tar.gz
Source3:	giada.1
Source4:	giada.fr.1
Patch1:		giada-fix-midi.patch
# from opensuse
Patch2:		003-cmake-exclude-juce-from-all.patch

BuildRequires:	cmake
BuildRequires:	doxygen
# BuildRequires:	fltk-devel
BuildRequires:	libstdc++-static-devel
BuildRequires:	cmake(nlohmann_json)
BuildRequires:	pkgconfig(alsa)
BuildRequires:	pkgconfig(cairo)
BuildRequires:	pkgconfig(catch2)
BuildRequires:	pkgconfig(fmt)
BuildRequires:	pkgconfig(gl)
BuildRequires:	pkgconfig(glu)
BuildRequires:	pkgconfig(gtk+-3.0)
BuildRequires:	pkgconfig(jack)
BuildRequires:	pkgconfig(jansson) >= 2.7
BuildRequires:	pkgconfig(libdecor-0)
BuildRequires:	pkgconfig(libjpeg)
BuildRequires:	pkgconfig(libpng16)
BuildRequires:	pkgconfig(libpulse)
BuildRequires:	pkgconfig(libpulse-simple)
BuildRequires:	pkgconfig(pangocairo)
BuildRequires:	pkgconfig(pangoxft)
BuildRequires:	pkgconfig(portaudio-2.0)
BuildRequires:	pkgconfig(rtmidi)
BuildRequires:	pkgconfig(samplerate)
BuildRequires:	pkgconfig(sndfile)
BuildRequires:	pkgconfig(wayland-client)
BuildRequires:	pkgconfig(wayland-cursor)
BuildRequires:	pkgconfig(wayland-egl)
BuildRequires:	pkgconfig(wayland-protocols)
BuildRequires:	pkgconfig(xcursor)
BuildRequires:	pkgconfig(xext)
BuildRequires:	pkgconfig(xft)
BuildRequires:	pkgconfig(xinerama)
BuildRequires:  pkgconfig(xkbcommon)
BuildRequires:	pkgconfig(xpm)
BuildRequires:	pkgconfig(xrandr)

%description
Giada is an audio tool for DJs and live performers. Up to 32 samples
may be loaded or recorded, and may be played in single mode (drum
machine) or loop mode (sequencer). The keyboard can be used to
control this.

%prep
%autosetup -p1 -n %{name}-%{version}-src

%build
# FIXME re-enable tests when an upstream port to catch2 >= v3 available
%cmake  -DWITH_VST3=ON \
        -DWITH_TESTS=OFF \
        -DVSTGUI_USE_SYSTEM_EXPAT=ON
%cmake_build

%install
%cmake_install

install -Dm 0644 %{SOURCE3} %{buildroot}%{_mandir}/man1/%{name}.1
install -Dm 0644 %{SOURCE4} %{buildroot}%{_mandir}/fr/man1/%{name}.1

%files
%doc ChangeLog README.md
%license COPYING
%{_bindir}/%{name}
%{_datadir}/applications/com.giadamusic.Giada.desktop
%{_iconsdir}/hicolor/scalable/apps/com.giadamusic.Giada.svg
%{_metainfodir}/com.giadamusic.Giada.metainfo.xml
%{_mandir}/man1/%{name}.1*
%lang(fr) %{_mandir}/fr/man1/%{name}.1*


%changelog
* Sun Jun 15 2025 daviddavid <daviddavid> 1.2.0-1.mga10
+ Revision: 2191394
- new version: 1.2.0

* Wed Oct 02 2024 daviddavid <daviddavid> 0.26.0-2.mga10
+ Revision: 2102452
- rebuild for new fmt 11.0.2

* Thu Oct 26 2023 daviddavid <daviddavid> 0.26.0-1.mga10
+ Revision: 2001979
- new version: 0.26.0
- use upstream svg icon and desktop file
- rebuild for new rtmidi 6.0.0

* Fri Feb 24 2023 daviddavid <daviddavid> 0.23.0-3.mga9
+ Revision: 1945246
- add missing build dependency on pkgconfig(glu)

* Mon Jan 30 2023 daviddavid <daviddavid> 0.23.0-2.mga9
+ Revision: 1937069
- rebuild for new rtmidi 5.0.0

* Sat Dec 17 2022 papoteur <papoteur> 0.23.0-1.mga9
+ Revision: 1924009
- new 0.23
- add sources for bundled mcl-audio-buffer, mcl-atomic-swapper, geompp, JUCE, vst3sdk, rtaudio and fltk
+ neoclust <neoclust>
- New version 	0.22.0
+ umeabot <umeabot>
- Mageia 9 Mass Rebuild
+ daviddavid <daviddavid>
- new version: 0.17.0

* Tue Oct 13 2020 daviddavid <daviddavid> 0.16.4-1.mga8
+ Revision: 1634978
- new version: 0.16.4

* Tue Jun 30 2020 daviddavid <daviddavid> 0.16.3.1-1.mga8
+ Revision: 1600716
- new version: 0.16.3.1

* Sat Apr 11 2020 daviddavid <daviddavid> 0.16.2.2-1.mga8
+ Revision: 1566263
- new version: 0.16.2.2
- new version: 0.16.2

* Wed Feb 19 2020 umeabot <umeabot> 0.16.1-2.mga8
+ Revision: 1543501
- Mageia 8 Mass Rebuild

* Tue Jan 21 2020 daviddavid <daviddavid> 0.16.1-1.mga8
+ Revision: 1481798
- new version: 0.16.1
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Dec 08 2019 daviddavid <daviddavid> 0.16.0-1.mga8
+ Revision: 1465149
- new version: 0.16.0

* Sun Apr 28 2019 daviddavid <daviddavid> 0.15.4-1.mga7
+ Revision: 1395793
- initial package giada

